## org.hibernate.type.descriptor.sql
Class LongVarcharTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.sql.VarcharTypeDescriptor
          org.hibernate.type.descriptor.sql.LongVarcharTypeDescriptor

All Implemented Interfaces:
  Serializable, SqlTypeDescriptor

    public class LongVarcharTypeDescriptor

extends VarcharTypeDescriptor

Descriptor for `LONGVARCHAR` handling.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static LongVarcharTypeDescriptor` `INSTANCE`

Constructor Summary
`LongVarcharTypeDescriptor()`

Method Summary
`int` `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Methods inherited from class org.hibernate.type.descriptor.sql.VarcharTypeDescriptor
`getBinder, getExtractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final LongVarcharTypeDescriptor INSTANCE

Constructor Detail

### LongVarcharTypeDescriptor

    public LongVarcharTypeDescriptor()

Method Detail

### getSqlType

    public int getSqlType()

  Description copied from interface: `SqlTypeDescriptor`
  Return the JDBC type-code for the column mapped by this type.

  Specified by:
    `getSqlType` in interface `SqlTypeDescriptor`
  Overrides:
    `getSqlType` in class `VarcharTypeDescriptor`
  Returns:
    The JDBC type-code

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.